<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>API description :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/asciidoc-toolkit/latest/api.html">
    <link rel="prev" href="general-info.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:asciidoc-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="asciidoc-toolkit" data-version="1.6">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">AsciiDoc toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="api.html">API description</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">AsciiDoc toolkit</span>
    <span class="version">1.6</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <a class="title" href="../latest/index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../latest/index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../1.7/index.html">1.7</a>
        </li>
        <li class="version is-current">
          <a href="index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">AsciiDoc toolkit</a></li>
    <li><a href="api.html">API description</a></li>
  </ul>
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.6</button>
  <div class="version-menu">
    <a class="version" href="../latest/api.html">1.8</a>
    <a class="version" href="../1.7/api.html">1.7</a>
    <a class="version is-current" href="api.html">1.6</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/asciidoc-toolkit/edit/docs/v1.6/docs/modules/ROOT/pages/api.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">API description</h1>
<div class="sect1">
<h2 id="main-palette"><a class="anchor" href="#main-palette"></a>Main palette</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="_images/AsciiDoc_for_LabVIEW_icon.png" alt="AsciiDoc for LabVIEW icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/AsciiDoc_for_LabVIEW.png" alt="AsciiDoc for LabVIEW">
</div>
</div>
<div class="sect2">
<h3 id="create-document"><a class="anchor" href="#create-document"></a>Create Document</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Create_Document.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Create Document.vi">
</div>
</div>
<div class="paragraph">
<p>Create an asciidoc document.</p>
</div>
<div class="paragraph">
<p>&gt;The document type (aka doctype) declares the expected structure of an AsciiDoc document.
&gt; AsciiDoc defines a fixed set of document types.
&gt; Each document type provides a slight variation on the permitted structure of an AsciiDoc document to accommodate different uses cases.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/document/doctype/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/document/doctype/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="add-section"><a class="anchor" href="#add-section"></a>Add Section</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Add_Section__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Add Section  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Add section to an asciidoc document.</p>
</div>
<div class="quoteblock">
<blockquote>
<div class="paragraph">
<p>Sections partition the document into a content hierarchy.</p>
</div>
</blockquote>
</div>
<div class="paragraph">
<p>This function supports the addition of a single section or an array of sections.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="generate-output"><a class="anchor" href="#generate-output"></a>Generate Output</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Generate_Output.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Generate Output.vi">
</div>
</div>
<div class="paragraph">
<p>Generate the asciidoc document string.</p>
</div>
<div class="paragraph">
<p>If a file path is provided, the output will be saved to file.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create"><a class="anchor" href="#create"></a>Create</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Section.lvclass_Create.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Section.lvclass Create.vi">
</div>
</div>
<div class="paragraph">
<p>Create a section.</p>
</div>
<div class="paragraph">
<p>Sections partition the document into a content hierarchy.</p>
</div>
<div class="paragraph">
<p>Use &lt;b&gt;Add bloc.vi&lt;/b&gt; to add content to a section</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/sections/titles-and-levels/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="add-bloc"><a class="anchor" href="#add-bloc"></a>Add Bloc</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Section.lvclass_Add_Bloc__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Section.lvclass Add Bloc  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Add content blocs to a section.</p>
</div>
<div class="paragraph">
<p>This function supports the addition of a single bloc or an array of blocs to a section</p>
</div>
</div>
<div class="sect2">
<h3 id="create-sub-section"><a class="anchor" href="#create-sub-section"></a>Create Sub Section</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Sub_Section.lvclass_Create_Sub_Section__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Sub Section.lvclass Create Sub Section  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Create a subsection with the given sections.</p>
</div>
<div class="paragraph">
<p>A &lt;b&gt;Subsection&lt;/b&gt; in this instance is actually a container object - its contains the sections given to it and they are then handled as subsections when rendered into the document.</p>
</div>
<div class="paragraph">
<p>This function supports creation of a subsection container from both a single section or an array of sections.</p>
</div>
</div>
<div class="sect2">
<h3 id="generate-output-2"><a class="anchor" href="#generate-output-2"></a>Generate Output</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Section.lvclass_Generate_Output.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Section.lvclass Generate Output.vi">
</div>
</div>
<div class="paragraph">
<p>Generate the asciidoc string of the section.</p>
</div>
<div class="paragraph">
<p>You can use this function to create an asciidoc document to include in another one.</p>
</div>
</div>
<div class="sect2">
<h3 id="create-paragraph"><a class="anchor" href="#create-paragraph"></a>Create Paragraph</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Paragraph.lvclass_Create_Paragraph.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Paragraph.lvclass Create Paragraph.vi">
</div>
</div>
<div class="paragraph">
<p>Create a paragraph bloc.</p>
</div>
<div class="paragraph">
<p>Paragraphs are blocks of text with optional formatting (e.g. bold, underline, italic etc) for specific words or phrases.</p>
</div>
<div class="paragraph">
<p>&lt;b&gt;Note&lt;/b&gt; Regular linespaces are ignored. Use &lt;b&gt;Add line break.vi&lt;/b&gt; or multiple paragraph blocs to form paragraphs in a section.</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/blocks/paragraphs/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/blocks/paragraphs/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-admonition"><a class="anchor" href="#create-admonition"></a>Create Admonition</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Admonition.lvclass_Create_Admonition.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Admonition.lvclass Create Admonition.vi">
</div>
</div>
<div class="paragraph">
<p>Create an admonition bloc.</p>
</div>
<div class="paragraph">
<p>Admonitions (or notices) help draw attention to content with a special label or icon. In Asciidoc there are 5 types of admonition: "Note", "Tip", "Important", "Caution" and "Warning". Use them to call out content within a paragraph or section.</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/blocks/admonitions/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/blocks/admonitions/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-image"><a class="anchor" href="#create-image"></a>Create Image</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Image.lvclass_Create_Image.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Image.lvclass Create Image.vi">
</div>
</div>
<div class="paragraph">
<p>Create an image bloc.</p>
</div>
<div class="paragraph">
<p>Adds an image from file to the document. File path can be absolute or relative to the "Image directory" attribute of the AsciiDoc document.</p>
</div>
<div class="admonitionblock caution">
<table>
<tr>
<td class="icon">
<i class="fa icon-caution" title="Caution"></i>
</td>
<td class="content">
Image path must not contain space or square brackets
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/macros/images/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/macros/images/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-include-directive"><a class="anchor" href="#create-include-directive"></a>Create Include Directive</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Include_Directive.lvclass_Create_Include_Directive.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Include Directive.lvclass Create Include Directive.vi">
</div>
</div>
<div class="paragraph">
<p>Create an "Include" bloc.</p>
</div>
<div class="paragraph">
<p>The "Include" directive allows inclusion of content from another file into the current AsciiDoc document.</p>
</div>
<div class="paragraph">
<p>The included content can be in AsciiDoc or any other text format. Where that content is included in the document determines how it will be processed.</p>
</div>
<div class="admonitionblock caution">
<table>
<tr>
<td class="icon">
<i class="fa icon-caution" title="Caution"></i>
</td>
<td class="content">
Include file path must not contain space or square brackets
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/directives/include/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/directives/include/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="render-adoc-file"><a class="anchor" href="#render-adoc-file"></a>Render Adoc File</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Render_Adoc_File.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Render Adoc File.vi">
</div>
</div>
<div class="paragraph">
<p>This function generate an HTML5 or PDF file using an adoc file as input.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
The file is generated in the same folder than the input file with the same name except for the extension.
</td>
</tr>
</table>
</div>
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
If the adoc file contains diagram, you need to have access to the web in order to generate them.
</td>
</tr>
</table>
</div>
</div>
<div class="sect2">
<h3 id="check-asciidoctor-toolchain-installation"><a class="anchor" href="#check-asciidoctor-toolchain-installation"></a>Check Asciidoctor Toolchain Installation</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Check_Asciidoctor_Toolchain_Installation.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Check Asciidoctor Toolchain Installation.vi">
</div>
</div>
<div class="paragraph">
<p>This function to check that asciidoctor toolchain is correctly installed.</p>
</div>
</div>
<div class="sect2">
<h3 id="installing-asciidoctor-toolchain"><a class="anchor" href="#installing-asciidoctor-toolchain"></a>Installing Asciidoctor toolchain</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Install_Asciidoctor_Toolchain.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Install Asciidoctor Toolchain.vi">
</div>
</div>
<div class="paragraph">
<p>This function install the asciddoctor toolchain.
With the asciidoctor toolchain you can render adoc files in HTML5 or PDF file format.</p>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="data-visualization"><a class="anchor" href="#data-visualization"></a>Data Visualization</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="_images/Data_Visualization_icon.png" alt="Data Visualization icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Data_Visualization.png" alt="Data Visualization">
</div>
</div>
<div class="sect2">
<h3 id="create-2"><a class="anchor" href="#create-2"></a>Create</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Line_Chart.lvclass_Create.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Line Chart.lvclass Create.vi">
</div>
</div>
<div class="paragraph">
<p>Create a diagram bloc representing a ine chart.</p>
</div>
</div>
<div class="sect2">
<h3 id="create-3"><a class="anchor" href="#create-3"></a>Create</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Grouped_Bar_Chart.lvclass_Create.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Grouped Bar Chart.lvclass Create.vi">
</div>
</div>
<div class="paragraph">
<p>Create a diagram bloc representing a line chart.</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Keys are the different axes' names.</p>
</li>
<li>
<p>Categories are the set of values' names.</p>
</li>
<li>
<p>Data is a 2D array where lines are the categories' values set for each key (columns).</p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="create-4"><a class="anchor" href="#create-4"></a>Create</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Radar_Chart.lvclass_Create.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Radar Chart.lvclass Create.vi">
</div>
</div>
<div class="paragraph">
<p>Create a diagram bloc representing a line chart.</p>
</div>
<div class="ulist">
<ul>
<li>
<p>Keys are the different axes' names.</p>
</li>
<li>
<p>Categories are the set of values' names.</p>
</li>
<li>
<p>Data is a 2D array where lines are the categories' values set for each key (columns).</p>
</li>
</ul>
</div>
</div>
<div class="sect2">
<h3 id="create-diagram"><a class="anchor" href="#create-diagram"></a>Create Diagram</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Diagram.lvclass_Create_Diagram.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Diagram.lvclass Create Diagram.vi">
</div>
</div>
<div class="paragraph">
<p>Create a diagram bloc.</p>
</div>
<div class="paragraph">
<p>Diagrams are described using plain text. The format of the text description depends on the selected diagram type.</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/diagram-extension/latest/#creating-a-diagram" class="bare">https://docs.asciidoctor.org/diagram-extension/latest/#creating-a-diagram</a></p>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="create-table"><a class="anchor" href="#create-table"></a>Create table</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="_images/Create_table_icon.png" alt="Create table icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Create_table.png" alt="Create table">
</div>
</div>
<div class="sect2">
<h3 id="create-table-2"><a class="anchor" href="#create-table-2"></a>Create Table</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Advanced_Table.lvclass_Create_Table__polymorphic.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Advanced Table.lvclass Create Table  polymorphic.vi">
</div>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
This VI is polymorphic.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Create a table block using either a 2D array of &lt;b&gt;Table cell&lt;/b&gt;s or strings for the content.</p>
</div>
<div class="paragraph">
<p>&lt;b&gt;Note 1:&lt;/b&gt; Nesting is permitted to a maximum depth of 1 (i.e. table in a table) only (only possible when building a table from table cells).
&lt;b&gt;Note 2: &lt;/b&gt; Row attributes override cell attributes, and both override column attributes</p>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/tables/build-a-basic-table/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/tables/build-a-basic-table/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="create-table-cell"><a class="anchor" href="#create-table-cell"></a>Create table cell</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Table_Cell.lvclass_Create_table_cell.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Table Cell.lvclass Create table cell.vi">
</div>
</div>
<div class="paragraph">
<p>Create a table cell object.</p>
</div>
<div class="paragraph">
<p>A Table cell can contain any asciidoc bloc, including another table (&lt;b&gt;Note&lt;/b&gt; only one level of table nesting is permitted by the renderer).</p>
</div>
<div class="paragraph">
<p>Table cells are used to build the content of an advanced table bloc, they should &lt;b&gt;not&lt;/b&gt; be added directly to a document section.</p>
</div>
<div class="paragraph">
<p>&lt;b&gt;Note:&lt;/b&gt; Style can only be set for cells containing paragraph text.</p>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="attributes"><a class="anchor" href="#attributes"></a>Attributes</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="_images/Attributes_icon.png" alt="Attributes icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Attributes.png" alt="Attributes">
</div>
</div>
<div class="sect2">
<h3 id="set-image-directory"><a class="anchor" href="#set-image-directory"></a>Set Image Directory</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Image_Directory.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Image Directory.vi">
</div>
</div>
<div class="paragraph">
<p>Sets the directory for locating images added to the document.</p>
</div>
</div>
<div class="sect2">
<h3 id="set-table-of-content"><a class="anchor" href="#set-table-of-content"></a>Set Table Of Content</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Table_Of_Content.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Table Of Content.vi">
</div>
</div>
<div class="paragraph">
<p>Enable or disable the creation of a table of contents in the generated document</p>
</div>
</div>
<div class="sect2">
<h3 id="set-table-of-content-levels"><a class="anchor" href="#set-table-of-content-levels"></a>Set Table Of Content Levels</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Table_Of_Content_Levels.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Table Of Content Levels.vi">
</div>
</div>
<div class="paragraph">
<p>Set the number of section levels (i.e. subsection depth) shown in the table of contents</p>
</div>
</div>
<div class="sect2">
<h3 id="set-section-numbering"><a class="anchor" href="#set-section-numbering"></a>Set Section Numbering</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Set_Section_Numbering.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Set Section Numbering.vi">
</div>
</div>
<div class="paragraph">
<p>Enable or disable section numbering in the generated document</p>
</div>
</div>
<div class="sect2">
<h3 id="add-custom-attribute"><a class="anchor" href="#add-custom-attribute"></a>Add Custom Attribute</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Doc.lvclass_Add_Custom_Attribute.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Doc.lvclass Add Custom Attribute.vi">
</div>
</div>
<div class="paragraph">
<p>Add a custom attribute to the document.</p>
</div>
<div class="paragraph">
<p>Attributes can be references in the text using {"attribute name"}. Allowing e.g. text subsitutions etc.</p>
</div>
<div class="paragraph">
<p>For more information see: <a href="https://dosc.asciidoctor.org/asciidoc/latest/attributes/document-attributes" class="bare">https://dosc.asciidoctor.org/asciidoc/latest/attributes/document-attributes</a></p>
</div>
</div>
</div>
</div>
<div class="sect1">
<h2 id="formating"><a class="anchor" href="#formating"></a>Formating</h2>
<div class="sectionbody">
<div class="imageblock">
<div class="content">
<img src="_images/Formating_icon.png" alt="Formating icon">
</div>
</div>
<div class="imageblock">
<div class="content">
<img src="_images/Formating.png" alt="Formating">
</div>
</div>
<div class="sect2">
<h3 id="add-line-break"><a class="anchor" href="#add-line-break"></a>Add Line Break</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Add_Line_Break.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Add Line Break.vi">
</div>
</div>
<div class="paragraph">
<p>Insert a line break between 2 lines used in a paragraph block</p>
</div>
<div class="quoteblock">
<blockquote>
<div class="paragraph">
<p>Since adjacent lines of text in AsciiDoc are combined into a single paragraph when converted, it means you can wrap paragraph text or put each sentence or phrase on a separate line.
The line breaks won’t appear in the output.
However, if you want the line breaks in a paragraph to be preserved, you can use a space followed by a plus sign (+).</p>
</div>
</blockquote>
</div>
<div class="paragraph">
<p>More information: <a href="https://docs.asciidoctor.org/asciidoc/latest/blocks/hard-line-breaks/" class="bare">https://docs.asciidoctor.org/asciidoc/latest/blocks/hard-line-breaks/</a></p>
</div>
</div>
<div class="sect2">
<h3 id="format-text"><a class="anchor" href="#format-text"></a>Format Text</h3>
<div class="imageblock">
<div class="content">
<img src="_images/Wovalab_lib_AsciiDoctor.lvlib_Format_Text.vi.png" alt="Wovalab lib AsciiDoctor.lvlib Format Text.vi">
</div>
</div>
<div class="paragraph">
<p>Add selected formatting to the input string.</p>
</div>
<div class="paragraph">
<p>For more information: <a href="https://docs.asciidoctor.org/asciidoc/latest/text" class="bare">https://docs.asciidoctor.org/asciidoc/latest/text</a></p>
</div>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="general-info.html">General information</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
